## net.i2p.data
Class Address

    java.lang.Object
      net.i2p.data.DataStructureImpl
          net.i2p.data.Address

All Implemented Interfaces:
  DataStructure

public class Address
extends DataStructureImpl

Constructor Summary
`Address()`

Method Summary
`boolean` `equals(java.lang.Object obj)`
`Destination` `getDestination()`
`java.lang.String` `getHostname()`
`int` `hashCode()`
`void` `readBytes(java.io.InputStream in)` Load up the current object with data from the given stream.
`void` `setDestination(Destination destination)`
`void` `setDestination(java.lang.String base64)`
`void` `setHostname(java.lang.String hostname)`
`java.lang.String` `toString()`
`void` `writeBytes(java.io.OutputStream out)` Write out the data structure to the stream, using the format defined in the I2P data structure specification.

Methods inherited from class net.i2p.data.DataStructureImpl
`calculateHash, fromBase64, fromByteArray, read, toBase64, toByteArray`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Address

    public Address()

Method Detail

### getHostname

    public java.lang.String getHostname()

### setHostname

    public void setHostname(java.lang.String hostname)

### getDestination

    public Destination getDestination()

### setDestination

    public void setDestination(Destination destination)

### setDestination

    public void setDestination(java.lang.String base64)

### readBytes

    public void readBytes(java.io.InputStream in)
                   throws DataFormatException,
                          java.io.IOException

  Description copied from interface: `DataStructure`
  Load up the current object with data from the given stream. Data loaded this way must match the I2P data structure specification.

  Parameters:
    `in` - stream to read from
  Throws:
    `java.io.IOException` - if there was a problem reading the stream
    `DataFormatException` - if the data is improperly formatted

### writeBytes

    public void writeBytes(java.io.OutputStream out)
                    throws DataFormatException,
                           java.io.IOException

  Description copied from interface: `DataStructure`
  Write out the data structure to the stream, using the format defined in the I2P data structure specification.

  Parameters:
    `out` - stream to write to
  Throws:
    `java.io.IOException` - if there was a problem writing to the stream
    `DataFormatException` - if the data was incomplete or not yet ready to be written

### equals

    public boolean equals(java.lang.Object obj)

### hashCode

    public int hashCode()

### toString

    public java.lang.String toString()